package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.HistoryMessage;
import com.tzld.piaoquan.growth.common.model.po.HistoryMessageExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface HistoryMessageBackupMapper {
    long countByExample(HistoryMessageExample example);

    int deleteByExample(HistoryMessageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(HistoryMessage record);

    int insertSelective(HistoryMessage record);

    List<HistoryMessage> selectByExample(HistoryMessageExample example);

    HistoryMessage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") HistoryMessage record, @Param("example") HistoryMessageExample example);

    int updateByExample(@Param("record") HistoryMessage record, @Param("example") HistoryMessageExample example);

    int updateByPrimaryKeySelective(HistoryMessage record);

    int updateByPrimaryKey(HistoryMessage record);

    void insertList(@Param("list") List<HistoryMessage> list);
}